%define upstream_name    Dist-Zilla
%define upstream_version 4.300028

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Something that provides a version number for the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup) >= 0.309.0
BuildRequires: perl(App::Cmd::Tester) >= 0.306.0
BuildRequires: perl(App::Cmd::Tester::CaptureExternal)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(CPAN::Meta::Converter) >= 2.101.550
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.120.630
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(CPAN::Meta::Validator) >= 2.101.550
BuildRequires: perl(CPAN::Uploader) >= 0.101.550
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.170.0
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::MVP::Assembler)
BuildRequires: perl(Config::MVP::Assembler::WithBundles)
BuildRequires: perl(Config::MVP::Reader) >= 2.101.540
BuildRequires: perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires: perl(Config::MVP::Reader::Finder)
BuildRequires: perl(Config::MVP::Reader::INI) >= 2.0.0
BuildRequires: perl(Config::MVP::Section) >= 2.200.2
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(DateTime) >= 0.440.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest) >= 1.540.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Dispatchouli) >= 1.102.220
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Autobox) >= 0.100.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::SetOnce)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Perl::PrereqScanner) >= 1.5.0
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Pod::Eventual) >= 0.91.480
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::License) >= 0.101.370
BuildRequires: perl(Software::License::None)
BuildRequires: perl(Software::LicenseUtils)
BuildRequires: perl(String::Formatter) >= 0.100.680
BuildRequires: perl(String::RewritePrefix) >= 0.5.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Term::UI)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Glob) >= 0.80.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(autobox) >= 2.530.0
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl-ExtUtils-Manifest
BuildArch:  noarch

Requires:   perl(version) >= 1:0.790.0

Obsoletes:  perl-Dist-Zilla-Plugin-AutoPrereq

Obsoletes:  perl-Dist-Zilla-Plugin-MetaNoIndex <= 1.101.550
Provides:   perl-Dist-Zilla-Plugin-MetaNoIndex

Suggests: perl(Task::Dist::Zilla)

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like the ExtUtils::MakeMaker manpage, the Module::Build
manpage, or the Module::Install manpage. Unlike those tools, however, it is
not also a system for installing code that has been downloaded from the
CPAN. Since it's only run by authors, and is meant to be run on a
repository checkout rather than on published, released code, it can do much
more than those tools, and is free to make much more ludicrous demands in
terms of prerequisites.

For more information, see the Dist::Zilla::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
install -d %{buildroot}/etc/bash_completion.d/
install -m 644 misc/dzil-bash_completion %{buildroot}/etc/bash_completion.d/dzil

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/dzil
/etc/bash_completion.d/dzil


%changelog

* Fri Jan 18 2013 jquelin <jquelin> 4.300.28-3.mga3
+ Revision: 389313
- obsoleting perl-Dist-Zilla-Plugin-MetaNoIndex (upstream decision)

* Sun Jan 13 2013 umeabot <umeabot> 4.300.28-2.mga3
+ Revision: 366004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 4.300.28-1.mga3
+ Revision: 315712
- update to 4.300028

* Mon Oct 15 2012 jquelin <jquelin> 4.300.26-1.mga3
+ Revision: 306101
- update to 4.300026

* Thu Sep 27 2012 jquelin <jquelin> 4.300.24-1.mga3
+ Revision: 298755
- update to 4.300024

* Mon Sep 17 2012 jquelin <jquelin> 4.300.23-1.mga3
+ Revision: 295362
- update to 4.300023

* Wed Jul 04 2012 jquelin <jquelin> 4.300.20-1.mga3
+ Revision: 267335
- update to 4.300020

* Sat Jun 09 2012 jquelin <jquelin> 4.300.18-1.mga3
+ Revision: 258871
- update to 4.300018

* Wed Jun 06 2012 jquelin <jquelin> 4.300.17-1.mga3
+ Revision: 256109
- update to 4.300017

* Thu Feb 23 2012 jquelin <jquelin> 4.300.9-1.mga2
+ Revision: 212798
- update to 4.300009

* Thu Jan 05 2012 jquelin <jquelin> 4.300.6-1.mga2
+ Revision: 191210
- update to 4.300006

* Thu Dec 15 2011 jquelin <jquelin> 4.300.5-1.mga2
+ Revision: 181804
- update to 4.300005

* Tue Dec 13 2011 jquelin <jquelin> 4.300.4-1.mga2
+ Revision: 181157
- update to 4.300004

* Tue Nov 08 2011 jquelin <jquelin> 4.300.3-1.mga2
+ Revision: 165451
- remove MYMETA from %%doc
- update to 4.300003

* Mon Sep 26 2011 jquelin <jquelin> 4.300.2-1.mga2
+ Revision: 148411
- update to 4.300002
- update to 4.300000
- update to 4.200015
- update to 4.200012

* Fri Jul 08 2011 jquelin <jquelin> 4.200.9-1.mga2
+ Revision: 120382
- update to 4.200009

* Mon Jun 27 2011 jquelin <jquelin> 4.200.8-1.mga2
+ Revision: 114502
- update to 4.200008

* Wed Jun 15 2011 jquelin <jquelin> 4.200.7-1.mga2
+ Revision: 106856
- update to 4.200007

* Tue Feb 22 2011 jquelin <jquelin> 4.200.4-1.mga1
+ Revision: 56556
- update to 4.200004

* Wed Jan 26 2011 jquelin <jquelin> 4.102.343-1.mga1
+ Revision: 39988
- mageia rebuild
- imported package perl-Dist-Zilla

